#ifdef GL_ES
#define LOWP lowp
#define HIGHP highp
precision mediump float;
#else
#define LOWP
#define HIGHP
#endif

varying LOWP vec4 v_fragmentColor; 
varying LOWP vec2 v_texCoord;
varying LOWP vec2 v_textCoordL; 
varying LOWP vec2 v_textCoordR; 

uniform sampler2D u_texture;
varying vec4 v_texCoords;

const vec2 center = vec2(0.5, 0.5);

// pass in the radius
uniform float u_radius;
varying vec4 v_position;

//shader教程
//http://www.tuicool.com/articles/VZVJra
//http://blog.sina.com.cn/s/blog_6084f5880101dpxl.html
//uniform mat4 uMVPMatrix;                             // 应用程序传入顶点着色器的总变换矩阵
//attribute vec4 aPosition;                            // 应用程序传入顶点着色器的顶点位置
//attribute vec2 aTextureCoord;                        // 应用程序传入顶点着色器的顶点纹理坐标
//attribute vec4 aColor                                // 应用程序传入顶点着色器的顶点颜色变量
//varying vec4 vColor                                  // 用于传递给片元着色器的顶点颜色数据
//varying vec2 vTextureCoord;                          // 用于传递给片元着色器的顶点纹理数据

void main() { 
	float f= sqrt((v_texCoords.x-center.x)*(v_texCoords.x-center.x)+(v_texCoords.y-center.y)*(v_texCoords.y-center.y));
	vec4 color = texture2D(u_texture, v_texCoords.xy).rgba;
	if(f<0.5){
		if(color.a==0.0){
			gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);
		}else{
			gl_FragColor = vec4(color.r, color.g, color.b, color.a);
		}
	}else{
		gl_FragColor = vec4(0.0, 0.0, 0.0, 0);
	}
	gl_FragColor = vec4( v_texCoords.w, 0.0, 0.0, v_texCoords.w);
}
